Test2::Harness::Util::File::Value(3pm)

NAME
Test2::Harness::Util::File::Value - Utility class for a file that contains exactly 1 value.

DESCRIPTION
This is a subclass of Test2::Harness::Util::File for files expected to have exactly 1 value stored in them.

SYNOPSIS
    use Test2::Harness::Util::File::Value;

    my $vf = Test2::Harness::Util::File::Value->new(name => 'path/to/file');
    my $val = $vf->read;

METHODS

$val = $vf->read()
    Read all contents from the file, chomp() it, and return it.

$val = $vf->read_line()
    Read the first line from the file, chomp() it, and return it. Note, this may not return anything if the value in the file does not terminate with a newline.

SOURCE
The source code repository for Test2-Harness can be found at http://github.com/Test-More/Test2-Harness/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist7@gmail.com>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/